
QGIS Application - Bug report #17699

Cell contents replaced with NULL when cell gets focus

2017-12-15 01:01 PM - Frank Sokolic

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:master Regression?: No

Operating System: Ubuntu 17.10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25596

Description

When editing the attribute table of a shapefile, if I click in a cell the value in the cell is replaced with a NULL. If I then click in another cell

the value of the first cell remains null and the original value is lost.

History

#1 - 2017-12-15 03:10 PM - Harrissou Santanna

Seems platform specific as I can't confirm on Windows using the latest osgeo4w build (commit:bbf00279ad). Null value is shown only when the cell was

not set and this displayed value is cleared when another cell gets focus, ie no changes occurs in the table when moving from cell to cell here.

Do you have the latest build?

#2 - 2018-02-22 07:43 PM - Giovanni Manghi

- Priority changed from Normal to High

#3 - 2018-02-27 12:33 PM - Frank Sokolic

- Status changed from Open to Closed

I've just checked on the newly released QGIS 3.0.0-Girona and the problem no longer occurs. No sure when it was fixed.

#4 - 2018-02-27 12:34 PM - Giovanni Manghi

- Resolution set to fixed/implemented
